Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1509119 - Review Request: php-gecko-packages-gecko-php-unit3 - Additional PHPUnit asserts and constraints
Review Request: php-gecko-packages-gecko-php-unit3 - Additional PHPUnit asser...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-03 02:58 EDT by Remi Collet
Modified: 2018-02-20 12:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-20 11:37:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2017-11-03 02:58:04 EDT
Spec URL: https://git.remirepo.net/cgit/rpms/php/gecko-packages/php-gecko-packages-gecko-php-unit3.git/plain/php-gecko-packages-gecko-php-unit3.spec?id=034ea5a81212045b1ab1b5ae224047e3fc95d467
SRPM URL: http://rpms.remirepo.net/SRPMS/php-gecko-packages-gecko-php-unit3-3.0-1.remi.src.rpm
Description: 
Provides additional asserts to be used in PHPUnit tests.
The asserts are provided using Traits so no changes are needed
in the hierarchy of test classes.

Fedora Account System Username: remi

-- 

Required by php-cs-fixer when PHPUnit 6 is used.

See changes from php-gecko-packages-gecko-php-unit
https://git.remirepo.net/cgit/rpms/php/gecko-packages/php-gecko-packages-gecko-php-unit3.git/commit/?id=034ea5a81212045b1ab1b5ae224047e3fc95d467

See changes in php-cs-fixer
https://git.remirepo.net/cgit/rpms/php/php-cs-fixer.git/commit/?id=d3d680ee10dad0dff503aae5bc926494f5e75c7d
Comment 2 Robert-André Mauchin 2018-02-05 12:04:36 EST
 - Latest version is 3.1.1

Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 63 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-gecko-packages-gecko-php-unit3/review-
     php-gecko-packages-gecko-php-unit3/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/GeckoPackages
     (php-gecko-packages-gecko-php-unit)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.11 DB version 1.28.0 built Jan 09 2018
     08:43:55 CET static analyze results in /home/bob/packaging/review/php-
     gecko-packages-gecko-php-unit3/review-php-gecko-packages-gecko-php-
     unit3/phpci.log


Rpmlint
-------
Checking: php-gecko-packages-gecko-php-unit3-3.1-1.fc28.noarch.rpm
          php-gecko-packages-gecko-php-unit3-3.1-1.fc28.src.rpm
php-gecko-packages-gecko-php-unit3.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-gecko-packages-gecko-php-unit3.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-gecko-packages-gecko-php-unit3.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-gecko-packages-gecko-php-unit3.src: W: spelling-error %description -l en_US usr -> use, us, user
php-gecko-packages-gecko-php-unit3.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-gecko-packages-gecko-php-unit3.src: W: strange-permission makesrc.sh 755
php-gecko-packages-gecko-php-unit3.src: W: invalid-url Source0: php-gecko-packages-gecko-php-unit3-3.1-dbb18b2.tgz
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 4 Gwyn Ciesla 2018-02-06 09:51:45 EST
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-gecko-packages-gecko-php-unit3
Comment 5 Fedora Update System 2018-02-06 10:18:19 EST
php-gecko-packages-gecko-php-unit3-3.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-04d1985734
Comment 6 Fedora Update System 2018-02-06 10:18:25 EST
php-gecko-packages-gecko-php-unit3-3.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-65feba0684
Comment 7 Fedora Update System 2018-02-07 08:50:59 EST
php-gecko-packages-gecko-php-unit3-3.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-04d1985734
Comment 8 Fedora Update System 2018-02-07 09:09:28 EST
php-gecko-packages-gecko-php-unit3-3.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-65feba0684
Comment 9 Fedora Update System 2018-02-20 11:37:01 EST
php-gecko-packages-gecko-php-unit3-3.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2018-02-20 12:12:46 EST
php-gecko-packages-gecko-php-unit3-3.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.